package work_experience

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/work_experience"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /work_experience work_experience GetWorkExperienceById
//
// Get work experience by ID | 通过ID获取WorkExperience
//
// Get work experience by ID | 通过ID获取WorkExperience
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: WorkExperienceInfoResp

func GetWorkExperienceByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := work_experience.NewGetWorkExperienceByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetWorkExperienceById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
